# arch-tag: Tom Lord Mon Jan 27 00:05:32 2003 (lord@regexps.com--2002/ChangeLog.lord--1.0)
#

2002-05-17 GMT	Tom Lord <lord@regexps.com>	patch-37

    Summary:
      updated =NEWS
    Revision:
      package-framework--lord--1.0--patch-37

    Updated =NEWS.
    

    new files:
     =fix-library.sh .arch-ids/=NEWS.package-framework.id
     =NEWS.package-framework

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-05-16 GMT	Tom Lord <lord@regexps.com>	patch-36

    Summary:
      =Labnotes -> Labnotes
    Revision:
      package-framework--lord--1.0--patch-36

    Renamed =Labnotes -> Labnotes.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new directories:
     Labnotes/.arch-ids

    removed directories:
     =Labnotes/.arch-ids


2002-05-16 GMT	Tom Lord <lord@regexps.com>	patch-35

    Summary:
      don't use pax
    Revision:
      package-framework--lord--1.0--patch-35

    
    Don't use `pax' in `install-scm-subdirs.mk' since it isn't portable.

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/install-scm-subdirs.mk


2002-05-16 GMT	Tom Lord <lord@regexps.com>	patch-34

    Summary:
      tagged =LabNotes
    Revision:
      package-framework--lord--1.0--patch-34

    Tagged =LabNotes to (hopefully) work around a minor
    bug in old versions of arch.
    

    new files:
     =Labnotes/.arch-ids/=id

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new directories:
     =Labnotes/.arch-ids =Labnotes

    removed directories:
     =Labnotes


2002-05-14 GMT	Tom Lord <lord@regexps.com>	patch-33

    Summary:
      linux unexec work
    Revision:
      package-framework--lord--1.0--patch-33

    
    **** ./build-tools/Makefiles/unexec-programs.mk
    
    Initialize `data_start' in `,precrt0' so that it winds up in data 
    rather than bss (I'm not _certain_ this is needed -- the number
    of variables effecting the linux tests that led to this change
    was too large to be totally scientific -- but it's a completely
    harmless change (and is what emacs does).)  Emacs initializes this
    to 0 so, so did I, but I wonder if it won't be necessary on some
    platform or other to eventually init it to non-0.
    
    
    
    **** ./build-tools/platforms/configs/gnu-linux
    
    Use `unexecelf.c', not `unexecelf2.c'.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/unexec-programs.mk
     build-tools/platforms/configs/gnu-linux


2002-05-13 GMT	Tom Lord <lord@regexps.com>	patch-32

    Summary:
      linux unexec tweaks
    Revision:
      package-framework--lord--1.0--patch-32

    Trying to figure out what I broke on linux unexec.
    
    
    ** patched regular files
    
    *** ./build-tools/Makefiles/unexec-programs.mk
    
    	Pass $(CFLAGS) to link invocation of $(CC)
    
    *** ./build-tools/platforms/configs/gnu-linux
    
    	Use the less-perturbed unexelf
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/unexec-programs.mk
     build-tools/platforms/configs/gnu-linux


2002-05-13 GMT	Tom Lord <lord@regexps.com>	patch-31

    Summary:
      build precrt0.o with debugging
    Revision:
      package-framework--lord--1.0--patch-31

    Build precrt0.o with debugging.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/unexec-programs.mk


2002-05-13 GMT	Tom Lord <lord@regexps.com>	patch-30

    Summary:
      additional unexec ld switches for gnu-linux
    Revision:
      package-framework--lord--1.0--patch-30

    
    * build-tools/platforms/configs/gnu-linux
    
    	Added this:
    
    	unexec_ld_switches="-Xlinker -z -Xlinker nocombreloc"
    
    	Because emacs 21.2 says (in src/s/gnu-linux.h)
    
    		Link temacs with -z nocombreloc so that unexec works
    		right, whether or not -z combreloc is the default.
    		GNU ld ignores unknown -z KEYWORD switches, so this
    		also works with older versions that don't implement -z
    		combreloc.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/platforms/configs/gnu-linux


2002-05-13 GMT	Tom Lord <lord@regexps.com>	patch-29

    Summary:
      tweaking unexec support / first-cut GNU/linux unexec support /	 better output formatting from configure-top
    Revision:
      package-framework--lord--1.0--patch-29

        ./build-tools/auto-conf-lib/gcc-test
    
    	Added a tag.
    
    *** added files
        ./build-tools/platforms/configs/gnu-linux
     
    	Platform config vars for gnu-linux (unexec support)
     
     
    **** ./build-tools/Makefiles/unexec-programs.mk
    
    	Use $(shell), not backquotes, to find the gnulib var.
     
    **** ./build-tools/platforms/configs/freebsd
    
    	Added `unexec_should_work=yes'.
    
    **** ./build-tools/platforms/pickconfig
    
    	GNU/linux support.
    
    **** ./build-tools/platforms/vars
    
    	New var: `unexec_should_work'
    
    	Comments.
    
    **** ./build-tools/scripts/configure-top
    
    	Prettier output formatting
     

    new files:
     build-tools/auto-conf-lib/gcc-test
     build-tools/platforms/configs/gnu-linux

    removed files:
     build-tools/auto-conf-lib/gcc-test

    modified files:
     =TODO ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/unexec-programs.mk
     build-tools/platforms/configs/freebsd
     build-tools/platforms/pickconfig build-tools/platforms/vars
     build-tools/scripts/configure-top


2002-05-10 GMT	Tom Lord <lord@regexps.com>	patch-28

    Summary:
      `package-framework' extensions and clean-ups.
    Revision:
      package-framework--lord--1.0--patch-28

    
    *** added files
     
        ./build-tools/Makefiles/install-library-objects.mk
    
    	Support for installing .o files.
    
        ./build-tools/Makefiles/unexec-programs.mk
    
    	Support for linking programs that call `unexec'.
    
        ./build-tools/auto-conf-lib/library-test
    
    	Added a tag.
    
        ./build-tools/gnu/ChangeLog
        ./build-tools/gnu/config.guess
        ./build-tools/gnu/config.sub
    
    	Imported from GNU.
    
        ./build-tools/platforms/=README
        ./build-tools/platforms/configs/freebsd
        ./build-tools/platforms/pickconfig
        ./build-tools/platforms/sysconfig
        ./build-tools/platforms/vars
    
    	Support for hard-wired, platform-specific 
    	configuration options (e.g. unexec hacks).
    
        ./build-tools/auto-conf-lib/gcc-test 
    
    	Support for turning the GCC major version
    	number (if any) into a configuration
    	parameter.
    
    *** added dirs
     
        ./=Labnotes
    
    	(used to be `labnotes')
    
    **** ./PLUGIN/auto
    
    	invoke the `gcc-test' to discover if we're using
    	GCC, and if so, what version.
     
     
    **** ./build-tools/=README
    
    	Whitespace fix.
     
     
    **** ./build-tools/Makefiles/rules.mk
    
    	Better comments.
    
    	Don't compute `source-files' if it is set on entry.
    
    **** ./build-tools/scripts/configure-top
    
    	Better comments.
    
    	More regular parsing for PLUGIN files.
    
    	Get the package name from the =RELEASE-ID file.
    
    	Make sure that `prefix' is an absolute path.
    
    	Compute the canonical system name.
    
    	Use that to pick a platform configuration file.
    
    	Tweaked the way auto-conf tests are invoked.
    
    
    **** ./configure
    
    	Propogate command line arguments to `configure-top'.

    new files:
     build-tools/platforms/sysconfig
     build-tools/Makefiles/unexec-programs.mk
     build-tools/gnu/ChangeLog build-tools/gnu/config.guess
     build-tools/gnu/config.sub build-tools/platforms/=README
     build-tools/platforms/vars
     build-tools/Makefiles/install-library-objects.mk
     build-tools/platforms/pickconfig
     build-tools/platforms/configs/freebsd
     build-tools/auto-conf-lib/library-test

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/auto build-tools/=README build-tools/Makefiles/rules.mk
     build-tools/auto-conf-lib/gcc-test
     build-tools/scripts/configure-top configure

    renamed files:
     build-tools/auto-conf-lib/library-test
       ==> build-tools/auto-conf-lib/gcc-test


    new directories:
     =Labnotes build-tools/gnu build-tools/platforms
     build-tools/platforms/configs build-tools/platforms/helpers

    removed directories:
     labnotes


2002-05-02 GMT	Tom Lord <lord@regexps.com>	patch-27

    Summary:
      new directory `labnotes'
    Revision:
      package-framework--lord--1.0--patch-27

    
    Added a `labnotes' directory as a standard place to collect developer
    notes about `package-framework'ed projects.
    
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new directories:
     labnotes


2002-05-02 GMT	Tom Lord <lord@regexps.com>	patch-26

    Summary:
      build-tools cleanups/additions + symbolic link scripts
    Revision:
      package-framework--lord--1.0--patch-26

    
    
    *** added files
     
        ./build-tools/Makefiles/install-scm-cgi-scripts.mk
        ./build-tools/Makefiles/install-shell-cgi-scripts.mk
    
    	Makefiles for installing scripts in a CGI directory
    
        ./links/make-links
        ./links/remove-links
    
    	Shell scripts for maintaining trees of symbolic links.
     
    
    *** patched regular files
     
        ./build-tools/Makefiles/install-scm-scripts.mk
    
        	Formatting cleanups and a better (atomic) install rule.
    
    
        ./build-tools/Makefiles/install-scm-subdirs.mk
    
    	New for globbing onto scheme source files.  In particular,
    	avoid using features found only in GNU `find'.
    
    
        ./build-tools/Makefiles/rules.mk
    
    	Define `cgi-install-dir' as `$(prefix)/cgi'.
    
        ./build-tools/Makefiles/scm-scripts.mk
     
    	Use the standard config variable to find the object tree root,
    	not `pwd'.
    
    	Remove old "#!" lines from scheme scripts in the source tree
    	when turning them into executable files and adding a new "#!"
    	line.

    new files:
     links/make-links links/remove-links
     build-tools/Makefiles/install-shell-cgi-scripts.mk
     build-tools/Makefiles/install-scm-cgi-scripts.mk

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/install-scm-scripts.mk
     build-tools/Makefiles/install-scm-subdirs.mk
     build-tools/Makefiles/rules.mk
     build-tools/Makefiles/scm-scripts.mk

    new directories:
     links


2002-03-22 GMT	Tom Lord <lord@regexps.com>	patch-25

    Summary:
      removed arch-utils
    Revision:
      package-framework--lord--1.0--patch-25

    
    `arch-utils' needs its own category and shouldn't
    be in the tree yet anyway.
    

    removed files:
     arch-utils/PLUGIN/.arch-ids/REQ.id arch-utils/package-names.h
     arch-utils/Makefile.in arch-utils/package-names.c
     arch-utils/PLUGIN/REQ

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    removed directories:
     arch-utils arch-utils/PLUGIN arch-utils/PLUGIN/.arch-ids


2002-03-13 GMT	Tom Lord <lord@regexps.com>	patch-24

    Summary:
      make the config-info bug address a configuration parameter
    Revision:
      package-framework--lord--1.0--patch-24

    Make the config-info bug address a configuration parameter and make 
    the default "bug-arch@regexps.com", not "lord@regexps.com".
    

    new files:
     build-tools/standards/PLUGIN/.arch-ids/REQ.id
     arch-utils/PLUGIN/.arch-ids/REQ.id arch-utils/package-names.h
     build-tools/standards/intro.doc
     build-tools/standards/index.doc
     build-tools/standards/standards.doc
     build-tools/standards/Makefile.in arch-utils/Makefile.in
     arch-utils/package-names.c
     build-tools/standards/document-license.doc
     build-tools/standards/PLUGIN/REQ arch-utils/PLUGIN/REQ

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/=TODO
     build-tools/config-info/config-info.c

    new directories:
     arch-utils arch-utils/PLUGIN build-tools/standards
     build-tools/standards/PLUGIN arch-utils/PLUGIN/.arch-ids
     build-tools/standards/PLUGIN/.arch-ids


2002-03-10 GMT	Tom Lord <lord@regexps.com>	patch-23

    Summary:
      merge with `devo'
    Revision:
      package-framework--lord--1.0--patch-23

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--devo--1.0--patch-13
         `configure' bug-fix for the value of CC
    
      * lord@regexps.com--2002/package-framework--devo--1.0--patch-12
         merge with `lord'
         [repeated]

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-10
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-11
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-12
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-13
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-9

    modified files:
     =TODO ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/Makefiles/rules.mk
     build-tools/auto-conf-lib/library-test
     build-tools/scripts/configure-dirs
     build-tools/scripts/configure-leaf
     build-tools/scripts/configure-top

    new patches:
     lord@regexps.com--2002/package-framework--devo--1.0--patch-10
     lord@regexps.com--2002/package-framework--devo--1.0--patch-11
     lord@regexps.com--2002/package-framework--devo--1.0--patch-12
     lord@regexps.com--2002/package-framework--devo--1.0--patch-13
     lord@regexps.com--2002/package-framework--devo--1.0--patch-9


2002-02-25 GMT	Tom Lord <lord@regexps.com>	patch-22

    Summary:
      arch -> larch in configure process
    Revision:
      package-framework--lord--1.0--patch-22

    `PLUGIN/options': the default value of the `posix-mailx' option is now
    `larch sendmail-mailx', not `arch sendmail-mailx'.
    
    `build-tools/auto-conf-lib/library-test': added a missing inventory
    tag.
    

    new files:
     build-tools/auto-conf-lib/library-test

    removed files:
     build-tools/auto-conf-lib/library-test

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options


2002-02-17	Tom Lord <lord@regexps.com>	patch-21

    Summary:
      automatic configuration support (specifically for -lsocket)
    Revision:
      package-framework--lord--1.0--patch-21

    
    Added the beginnings of automatic configuration support to
    configure-top and added a specific test for "-lsocket" for "with-ftp".
    
    

    new files:
     build-tools/auto-conf-lib/library-test
     build-tools/scripts/auto PLUGIN/auto

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/packages build-tools/scripts/configure-top

    new directories:
     build-tools/auto-conf-lib


2002-02-14	Tom Lord <lord@regexps.com>	patch-20

    Summary:
      permit alternative shells in `configure'
    Revision:
      package-framework--lord--1.0--patch-20

      "config.status" files now start with "#!" lines and the 
      "src/build-tools/scripts" configuration scripts use an
      explicitly chosen shell to call each other.  The top-level
      configure script now accepts a "--config-shell SHELL" option.
    
      This is a small step towards cygwin portability, and eases
      some of the portability constraints on "configure" for systems
      where "/bin/sh" is not quite posix.

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/scripts/configure-autoconf
     build-tools/scripts/configure-dirs
     build-tools/scripts/configure-generic
     build-tools/scripts/configure-leaf
     build-tools/scripts/configure-top configure


2002-02-08	Tom Lord <lord@regexps.com>	patch-19

    Summary:
      updated =TODO
    Revision:
      package-framework--lord--1.0--patch-19

    
    Noted a bug regarding parallel makes in "=TODO".
    

    modified files:
     =THANKS =TODO ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-02-06	Tom Lord <lord@regexps.com>	patch-18

    Summary:
      watch out for GCC 3.1 when making .d files
    Revision:
      package-framework--lord--1.0--patch-18

    Someone has reported that GCC 3.1 produces '-E' output of the form:
    
    	# 1 "<built-in>"
    	# 1 "<command line>"
    
    so, watch out for those when deriving a ".d" file.
    

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/cpp-to-includes.sed


2002-02-06	Tom Lord <lord@regexps.com>	patch-17

    Summary:
      avoid trying to build empty libraries
    Revision:
      package-framework--lord--1.0--patch-17

    
    On some systems, `ar -rc' fails if no object files are specified.
    The makefiles have been adjusted accordingly.
    
    

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/library.mk


2002-02-06	Tom Lord <lord@regexps.com>	patch-16

    Summary:
      don't use -e in the configure scripts
    Revision:
      package-framework--lord--1.0--patch-16

    Use `-r' rather than `-e' in the configure scripts since it makes
    them slightly more portable.  (A later fix should provide a mechanism
    to evade the hardwired "#!/bin/sh" in those scripts.)
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/scripts/configure-dirs
     build-tools/scripts/configure-generic
     build-tools/scripts/configure-top


2002-02-06	Tom Lord <lord@regexps.com>	patch-15

    Summary:
      fixed `--prefix=' handling in `configure-top'
    Revision:
      package-framework--lord--1.0--patch-15

    In configure-top around line 288 the command line arguments are being
    checked for a passed in value, but it is looking at the default value
    instead of the command line argument.  The line should read:
    
        --prefix=*) \
    	prefix="`printf '%s\n' \"$1\" | sed -e 's/^--prefix=//'`" 
    
    Notice that $prefix is changed to $1.  Hope this helps.
    
    						-- Jonathan Geisler --

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/scripts/configure-top


2002-02-05	Tom Lord <lord@regexps.com>	patch-14

    Summary:
      merge from devo
    Revision:
      package-framework--lord--1.0--patch-14

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--devo--1.0--patch-8
         updated =THANKS
    
      * lord@regexps.com--2002/package-framework--devo--1.0--patch-7
         fixed `configure-top' bugs
    
      * lord@regexps.com--2002/package-framework--devo--1.0--patch-6
         portability tweaks
    
      * lord@regexps.com--2002/package-framework--devo--1.0--patch-5
         merge from lord
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-5
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-6
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-7
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-8

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/library.mk
     build-tools/scripts/configure-top build-tools/scripts/option

    new patches:
     lord@regexps.com--2002/package-framework--devo--1.0--patch-5
     lord@regexps.com--2002/package-framework--devo--1.0--patch-6
     lord@regexps.com--2002/package-framework--devo--1.0--patch-7
     lord@regexps.com--2002/package-framework--devo--1.0--patch-8


2002-01-23	Tom Lord <lord@regexps.com>	patch-13

    Summary:
      fixed some typose in *.mk
    Revision:
      package-framework--lord--1.0--patch-13

    There were some syntax errors in `shell-{scripts,subcommands}.mk'.
    
    

    modified files:
     =TODO ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/shell-scripts.mk
     build-tools/Makefiles/shell-subcommands.mk


2002-01-22	Tom Lord <lord@regexps.com>	patch-12

    Summary:
      new config option: sendmail	awk subcommand helpers	bug fixes
    Revision:
      package-framework--lord--1.0--patch-12

    
    `PLUGIN/options': added `configure' option:
    
    		configure --with sendmail PROG
    
    	for help in locating the sendmail program, if it is 
    	to be used to implement a `mailx'-style mail sending
    	program.
    
    `install-shell-subcommands.mk': added support for installing `awk' 
    				helper scripts.
    
    `cpp-to-includes.sed': tweaked the script for greater portability.
    

    new files:
     =THANKS =TODO build-tools/Makefiles/cpp-to-includes.sed

    removed files:
     =TODO build-tools/Makefiles/cpp-to-includes.sed

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/Makefiles/=TODO
     build-tools/Makefiles/install-shell-subcommands.mk


2002-01-19	Tom Lord <lord@regexps.com>	patch-11

    Summary:
      makefile and configure changes
    Revision:
      package-framework--lord--1.0--patch-11

    Added a configuration option:
    
          --with posix-mailx PROG
    
    to specify a program that can be used to send email.
    
    Added an =TODO file for package-framework.
    
    `build-tools/Makefiles/column.sed': delete blank lines.
    
    `cpp-to-includes.sed': escape Makefile meta-characters in prereq
    lists.
    
    Most files matching `build-tools/Makefiles/*.mk': generally cleaned
    things up, fixed `clean' targets, fixed comments, got rid of vestigial
    code, protected against actions with possibly empty `for' loops, only 
    store build logging files (e.g. "Programs") *after* the targets they
    describe have been built, use "-include" to include depfiles.
    
    

    new files:
     =TODO build-tools/Makefiles/=TODO

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/Makefiles/column.sed
     build-tools/Makefiles/config-info.mk
     build-tools/Makefiles/cpp-to-includes.sed
     build-tools/Makefiles/dirs.mk
     build-tools/Makefiles/install-includes.mk
     build-tools/Makefiles/install-library.mk
     build-tools/Makefiles/install-programs.mk
     build-tools/Makefiles/install-shell-scripts.mk
     build-tools/Makefiles/install-shell-subcommands.mk
     build-tools/Makefiles/library-objects.mk
     build-tools/Makefiles/library-pdml.mk
     build-tools/Makefiles/library.mk
     build-tools/Makefiles/programs.mk
     build-tools/Makefiles/rules.mk
     build-tools/Makefiles/shell-scripts.mk
     build-tools/Makefiles/shell-subcommands.mk
     build-tools/Makefiles/top-level.mk
     build-tools/Makefiles/unit-tests.mk


2002-01-18	Tom Lord <lord@regexps.com>	patch-10

    Summary:
      add a "--with posix-shell=xyzzy" configuration option
    Revision:
      package-framework--lord--1.0--patch-10

    
    On some systems, "/bin/sh" is not a Posix shell.  For the sake of 
    those systems, added a configure time option, e.g.:
    
    	% ../configure --with posix-shell /usr/local/bin/bash
    
    In the makefiles for shell script libraries, use the value of that
    option when generating "#!" lines.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/Makefiles/shell-scripts.mk
     build-tools/Makefiles/shell-subcommands.mk
     build-tools/scripts/configure-top


2002-01-18	Tom Lord <lord@regexps.com>	patch-9

    Summary:
      changed the rule for dependency tracking (eliminated GCC-ism)
    Revision:
      package-framework--lord--1.0--patch-9

    
    Don't use the `-MM' flag which is GCC specific.  Instead, pipe the
    output of `cc -E' through `sed' and `sort'.
    

    new files:
     build-tools/Makefiles/cpp-to-includes.sed
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-4

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/rules.mk

    new patches:
     lord@regexps.com--2002/package-framework--devo--1.0--patch-4


2002-01-18	Tom Lord <lord@regexps.com>	patch-8

    Summary:
      bash bug work-around in `unit-tests.mk'
    Revision:
      package-framework--lord--1.0--patch-8

    
    In `unit-tests.mk', elimiated the possibility of asking the shell to
    evaluate:
    
    	for s in ; do sh $s ; done
    
    since some versions of bash can't cope with that.
    
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/unit-tests.mk


2002-01-17	Tom Lord <lord@regexps.com>	patch-7

    Summary:
      merge from `devo'
    Revision:
      package-framework--lord--1.0--patch-7

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--devo--1.0--patch-3
         minor bug fixes
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-3

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/config-info/config-info.c
     build-tools/scripts/configure-top

    new patches:
     lord@regexps.com--2002/package-framework--devo--1.0--patch-3


2002-01-17	Tom Lord <lord@regexps.com>	patch-6

    Summary:
      merge from devo
    Revision:
      package-framework--lord--1.0--patch-6

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--devo--1.0--patch-2
         merge from `lord': --version support
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-2

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    new patches:
     lord@regexps.com--2002/package-framework--devo--1.0--patch-2


2002-01-13	Tom Lord <lord@regexps.com>	patch-5

    Summary:
      fixed --version support in config-info.c
    Revision:
      package-framework--lord--1.0--patch-5

    `config-info' now prints a reasonable release identifier.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/config-info/config-info.c


2002-01-13	Tom Lord <lord@regexps.com>	patch-4

    Summary:
      =project/package fixes
    Revision:
      package-framework--lord--1.0--patch-4

    
    The file "=project/package" drives the version identifiers printed by
    programs in this tree.  It should be derived from a value that is
    specific to the "dists" package (the parent dir).  Therefore,
    "=project/package" is now a symlink to the top-level file
    "=RELEASE-ID".
    
    Also tweaked the `build-utils' readme file.
    
    

    new files:
     =project/.arch-ids/package.id =project/package

    removed files:
     =project/package

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/=README

    new directories:
     =project/.arch-ids


2002-01-11	Tom Lord <lord@regexps.com>	patch-3

    Summary:
      removed vestigial docs
    Revision:
      package-framework--lord--1.0--patch-3

    
    The package framework won't be ready for independent release
    any time soon, so I removed the badly out of date manual for it.
    
    Added COPYING, and (in a subdir) =README and =TODO.
    

    new files:
     {arch}/package-framework/package-framework--devo/package-framework--devo--1.0/lord@regexps.com--2002/patch-log/patch-1
     COPYING build-tools/=README build-tools/=TODO

    removed files:
     build-tools/package-framework/UNPLUGGED/.arch-ids/=dont-care
     build-tools/package-framework/Makefile.in
     build-tools/package-framework/document-license.doc
     build-tools/package-framework/pit.doc
     build-tools/package-framework/source-tree.doc
     build-tools/package-framework/system-requirements.doc
     build-tools/package-framework/framework.doc
     build-tools/package-framework/getting-started.doc
     build-tools/package-framework/index.doc
     build-tools/package-framework/introduction.doc
     build-tools/package-framework/soup.doc
     build-tools/package-framework/source-license.doc
     build-tools/package-framework/package-tree.doc
     build-tools/package-framework/recipes.doc
     build-tools/package-framework/reference.doc
     build-tools/package-framework/this-manual.doc
     build-tools/package-framework/configure-and-plugin.doc
     build-tools/package-framework/makefiles.doc
     build-tools/package-framework/UNPLUGGED/REQ

    modified files:
     =project/package ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    removed directories:
     build-tools/package-framework
     build-tools/package-framework/UNPLUGGED
     build-tools/package-framework/UNPLUGGED/.arch-ids

    new patches:
     lord@regexps.com--2002/package-framework--devo--1.0--patch-1


2002-01-07	Tom Lord <lord@regexps.com>	patch-2

    Summary:
      ChangeLog's reorganized
    Revision:
      package-framework--lord--1.0--patch-2

    Reorganized the ChangeLogs slightly.  Renamed to reflect branch names
    and master ChangeLog moved to ChangeLog.d since it won't be
    interesting to most people browsing distributions that include it.
    

    new files:
     ChangeLog.d/=README ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    removed files:
     ChangeLog ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord

    renamed files:
     ChangeLog.d/lord@regexps.com--2001Q4/ChangeLog.devo
       ==> ChangeLog.d/lord@regexps.com--2001Q4/ChangeLog.devo--1.0



2002-01-07	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      modified ChangeLog structure
    Revision:
      package-framework--lord--1.0--patch-1

    
    Added ChangeLog.d and rearranged ChangeLogs into a sensible
    arrangement for multi-branch development.
    

    new files:
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord
     ChangeLog.d/lord@regexps.com--2001Q4/ChangeLog.devo

    modified files:
     ChangeLog

    new directories:
     ChangeLog.d ChangeLog.d/lord@regexps.com--2001Q4
     ChangeLog.d/lord@regexps.com--2002


2002-01-12	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2002/package-framework--devo--1.0--base-0
    Revision:
      package-framework--lord--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/package-framework--devo--1.0--base-0
     lord@regexps.com--2002/package-framework--devo--1.0--base-0
     lord@regexps.com--public-2001Q4/package-framework--devo--1.0--base-0
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-1
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-2
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-3


